# Interface AbstractView

interface AbstractView {
attributes?: any;
configuration?: any;
connected_objects: () => Promise<ConnectedObjects>;
id?: number;
min_role: number;
name: string;
table_name?: string;
viewtemplate: string;
getTags(): Promise<AbstractTag[]>;
}

#### Implemented by

- View

- Defined in model-abstracts/abstract_view.ts:5

##### Index

### Properties

attributes?
configuration?
connected_objects
id?
min_role
name
table_name?
viewtemplate

### Methods

getTags

## Properties

### `Optional` attributes

attributes?: any

- Defined in model-abstracts/abstract_view.ts:12

### `Optional` configuration

configuration?: any

- Defined in model-abstracts/abstract_view.ts:9

### connected_objects

connected_objects: () => Promise<ConnectedObjects>

- Defined in model-abstracts/abstract_view.ts:13

### `Optional` id

id?: number

- Defined in model-abstracts/abstract_view.ts:6

### min_role

min_role: number

- Defined in model-abstracts/abstract_view.ts:11

### name

name: string

- Defined in model-abstracts/abstract_view.ts:7

### `Optional` table_name

table_name?: string

- Defined in model-abstracts/abstract_view.ts:10

### viewtemplate

viewtemplate: string

- Defined in model-abstracts/abstract_view.ts:8

## Methods

### getTags

- getTags(): Promise<AbstractTag[]>

  #### Returns Promise<AbstractTag[]>

  - Defined in model-abstracts/abstract_view.ts:14